#
# spec file for package yast2-configuration-management
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-configuration-management
Version:        0.3.3
Release:        8.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

Url:            http://github.com/yast/yast-migration

BuildRequires:  yast2
BuildRequires:  yast2-devtools
BuildRequires:  yast2-installation
BuildRequires:  rubygem(rspec)
BuildRequires:  rubygem(yast-rake)

Requires:       yast2
Requires:       yast2-installation

BuildArch:      noarch

Summary:        YaST2 - YaST Configuration Management
License:        GPL-2.0
Group:          System/YaST

%description
This package contains the YaST2 component for Configuration Management Provisioning.

%prep
%setup -n %{name}-%{version}

%check
rake test:unit

%build

%install
rake install DESTDIR="%{buildroot}"

%files
%defattr(-,root,root)
%{yast_clientdir}/*.rb
%{yast_libdir}/configuration_management
%{yast_desktopdir}/*.desktop

%dir %{yast_docdir}
%doc %{yast_docdir}/COPYING
%doc %{yast_docdir}/README.md
%doc %{yast_docdir}/CONTRIBUTING.md

%changelog
* Thu May 11 2017 igonzalezsosa@suse.com
- Do not try to run the provisioner if no configuration was
  specified (bsc#1038630)
- Version 0.3.3
* Tue May  9 2017 igonzalezsosa@suse.com
- Fix masterless mode (bsc#1038290)
- Fix Puppet package installation
- Handle libzypp's lock to allow installation of packages
  through Salt/Puppet
- Do not write configuration to disk as it is not needed anymore
- Version 0.3.2
* Wed Apr 12 2017 schubi@suse.de
- Enable port support for downloading files (e.g. keys)
  Added AY flag "enable_services" for services handling.
  Install needed packages to target system.
  (Fate#319830)
- Version 0.3.1
* Fri Apr  7 2017 schubi@suse.de
- Moved to official yast2-configuration-management package.
  (Fate#319830)
- Version 0.3.0
* Mon Feb 27 2017 igonzalezsosa@suse.com
- Add experimental support for SUSE Manager Salt formulas
- Version 0.2.0
* Tue Feb 21 2017 igonzalezsosa@suse.com
- The provisioner runs after the 2nd stage to avoid interferences
  with AutoYaST.
- Rename profile elements (see new ones in the README.md file)
- Fix the list of packages to be installed when using Salt.
- Add missing 'modified', 'modified?' and 'export' methods in the
  AutoYaST client although no information is exported by this
  module.
- Version 0.1.0
* Mon Jun  6 2016 igonzalezsosa@suse.com
- Initial draft
- Version 0.0.1
